Subject: Re: [PATCH 4/5] iio:adc:lpc32xx Cleanup headers

From: Gregory CLEMENT <[email-masked]>
Date: Fri, 15 Feb 2019 16:42:55 +0100

Hi Jonathan,
 
 On sam., févr. 09 2019, Jonathan Cameron <[email-masked]> wrote:

> On Fri,  8 Feb 2019 17:09:43 +0100
> Gregory CLEMENT <[email-masked]> wrote:
>
>> A few headers was useless: remove them, and also sort them in alphabetic
>> order.
>> 
>> Signed-off-by: Gregory CLEMENT <[email-masked]>
> Hmm. Given the headers in question are mostly only useless (I think)
> in the sense they are always included by something else, I'm
> not sure this patch is worth the churn.
>
> It's also tricky to see which ones were actually removed
> given the combination with sorting.
> I think it's just kernel.h, device.h, err.h all of which
> are used in various ways and often directly included.

Actually, as I needed to add a header, I wanted to sort the list to put
it in the right place and then some of the header looked superfluous
that why I remove some of them. For example there was no reason to use
slab.h or of.h.

>
> The other one is the iio/sysfs.h file.  That one we could
> do to eventually kill off entirely, so happy to see that
> one alone go.

I am nit sure to know what do you want with this patch.

Gregory

>
> Jonathan
>
>> ---
>>  drivers/iio/adc/lpc32xx_adc.c | 15 ++++-----------
>>  1 file changed, 4 insertions(+), 11 deletions(-)
>> 
>> diff --git a/drivers/iio/adc/lpc32xx_adc.c b/drivers/iio/adc/lpc32xx_adc.c
>> index e361c1532a75..f391c1e10136 100644
>> --- a/drivers/iio/adc/lpc32xx_adc.c
>> +++ b/drivers/iio/adc/lpc32xx_adc.c
>> @@ -7,20 +7,13 @@
>>   *  Copyright (C) 2011, 2012 Roland Stigge <[email-masked]>
>>   */
>>  
>> -#include <linux/module.h>
>> -#include <linux/platform_device.h>
>> -#include <linux/interrupt.h>
>> -#include <linux/device.h>
>> -#include <linux/kernel.h>
>> -#include <linux/slab.h>
>> -#include <linux/io.h>
>>  #include <linux/clk.h>
>> -#include <linux/err.h>
>>  #include <linux/completion.h>
>> -#include <linux/of.h>
>> -
>>  #include <linux/iio/iio.h>
>> -#include <linux/iio/sysfs.h>
>> +#include <linux/interrupt.h>
>> +#include <linux/io.h>
>> +#include <linux/module.h>
>> +#include <linux/platform_device.h>
>>  
>>  /*
>>   * LPC32XX registers definitions
>
>
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel